## clojure1.8 1.8.0

=== debian/changelog ===
clojure1.8 (1.8.0-5) unstable; urgency=medium

  * Update Vcs-Git to point to correct branch.
  * Point Vcs at salsa.
  * Move package from Java team to Clojure team.
  * Update runtime dependency from Java 6 to Java 8.
  * Update watch file to only look for newer versions of 1.8.x.
  * Backport autopkgtests from 1.9.0.
  * Backport patch to ensure installed binary versions match.

 -- Elana Hashman <ehashman@debian.org>  Mon, 19 Mar 2018 12:59:47 -0400

clojure1.8 (1.8.0-4) unstable; urgency=medium

  * Team upload.

  [ Elana Hashman ]
  * Rename package to clojure1.8.
  * Add myself to uploaders.
  * Update Standards-Version to 4.1.3.
  * Fix rules to reference right source name.

  [ Rob Browning ]
  * Use immediate assignments in debian/rules when possible.
  * override_dh_install: export JAVA_HOME and PATH for java.
  * clojure1.8: change libclojure-java dep to libclojure1.8-java.
    Partially-fixes: 889533
  * clojure1.8: add breaks and replaces for earlier 1.8 releases;
    clojure1.8 shares paths with the previous clojure 1.8 series packages.
    Partially-fixes: 889533
  * libclojure1.8-java: add breaks and replaces for libclojure-java;
    libclojure1.8-java shares paths with the previous libclojure-java 1.8
    series packages. (Closes: 889533)

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 04 Feb 2018 11:43:56 -0600

clojure (1.8.0-3) unstable; urgency=medium

  * Team upload.
  * debian/rules: specify bash as the SHELL.
  * debian/rules: remove vestigial SOURCE and VER computation.
  * debian/rules: don't convert changes.md to changes.html.  Markdown
    should be fine for now, and previous generation code was slightly
    broken (TITLE sed was blocking on stdin because $< was undefined
    there).

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 01 Oct 2017 16:48:27 -0500

clojure (1.8.0-2) unstable; urgency=medium

  * Team upload.
  * Added Breaks/Replaces clojure (<< 1.8) to libclojure-java (Closes: #850774)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 10 Jan 2017 09:45:44 +0100

clojure (1.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Renamed the package to clojure
    - Increased the priority of the alternatives
    - Updated the man pages
  * Moved the library to its own libclojure-java package
  * No longer use the system ASM to avoid runtime conflicts
  * Simplified the usage instructions for the command line tool

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Dec 2016 17:26:55 +0100

clojure1.6 (1.6.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fixed the installation of the man pages

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Dec 2016 16:40:29 +0100

clojure1.6 (1.6.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer instead of CDBS
  * Use file-rename instead of prename
  * Build the upstream tarball from the Git repository
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs
  * Removed the unused BSD paragraph in debian/copyright

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Dec 2016 15:33:13 +0100

clojure1.6 (1.6.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * debian/copyright:
    - Update Format: field URL.
    - Associate "Files: *" with Rich Hickey copyright statement.
  * Depend on java6-runtime-headless. (Closes: #775450)

  [ Emmanuel Bourg ]
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Standards-Version updated to 3.9.8
  * Use canonical Vcs URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Oct 2016 14:16:33 +0200

clojure1.6 (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 14 Jun 2014 10:31:12 +0900

clojure1.4 (1.4.0+dfsg-3) unstable; urgency=low

  * Team upload.
  * Build-Depend on default-jdk instead of openjdk-6-jdk.
    - Thanks to Stefano Rivera.  (Closes: #674930)
  * Update Vcs-Git URL.
  * Update runtime dependencies on JREs to -headless variants.
    - Thanks to rufo.  (Closes: #696451)
  * Bump Standards-Version to 3.9.5 (no changes)
  * Drop deprecated DMUA flag.
  * Update dependency and compat level of debhelper to 9.

 -- tony mancill <tmancill@debian.org>  Sun, 17 Nov 2013 17:47:10 -0800

clojure1.4 (1.4.0+dfsg-2) unstable; urgency=low

  * debian/patches/01-replace-asm: now depends on asm and asm-commons.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 19 May 2012 20:08:56 +0900

clojure1.4 (1.4.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Process markdown documents:
    debian/{rules,control,header.html,footer.html}.
  * debian/control: Bumped Standards-Version to 3.9.3.
  * debian/docs: Merged into debian/rules.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 21 Apr 2012 12:39:27 +0900

clojure1.3 (1.3.0+dfsg-3) unstable; urgency=low

  * Removed the patch: debian/patches/20111007-pom.xml.remove_parent.diff
    - Use mh_installpom --no-parent instead.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 30 Nov 2011 18:15:57 +0900

clojure1.3 (1.3.0+dfsg-2) unstable; urgency=low

  * Added a patch: debian/patches/20111007-pom.xml.remove_parent.diff
    removing the parent element which might cause an error to use
    the library.

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 07 Oct 2011 19:58:08 +0900

clojure1.3 (1.3.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Fixed the lintian error syntax-error-in-dep5-copyright

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 25 Sep 2011 16:01:02 +0900

clojure1.2 (1.2.1+dfsg-3) unstable; urgency=low

  * debian/patches/01-replace-asm: Updated Class-Path to use absolute
    paths.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 26 Jul 2011 23:03:28 +0900

clojure1.2 (1.2.1+dfsg-2) unstable; urgency=low

  * Prepare for a future release.
  * debian/control: Fixed a lintian warning,
    description-synopsis-starts-with-article.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 21 Jun 2011 23:10:38 +0900

clojure1.2 (1.2.1+dfsg-1) unstable; urgency=low


