=== debian/control ===
Source: clojure1.8
Section: devel
Priority: optional
Maintainer: Debian Clojure Maintainers <pkg-clojure-maintainers@lists.alioth.debian.org>
Uploaders: Elana Hashman <ehashman@debian.org>
Build-Depends:
 ant,
 debhelper (>= 10),
 default-jdk,
 javahelper,
 maven-repo-helper,
 rename
Standards-Version: 4.1.3
Vcs-Git: https://salsa.debian.org/clojure-team/clojure.git -b 1.8.x
Vcs-Browser: https://salsa.debian.org/clojure-team/clojure/tree/1.8.x
Homepage: http://clojure.org

Package: clojure1.8
Architecture: all
Depends:
 default-jre-headless | java8-runtime-headless,
 libclojure1.8-java (= ${binary:Version}),
 ${misc:Depends}
Breaks: clojure (<< 1.8.0-4)
Replaces: clojure (<< 1.8.0-4)
Recommends: rlwrap
Description: Lisp dialect for the JVM
 Clojure is a dynamic programming language that targets the Java Virtual
 Machine. It is designed to be a general-purpose language, combining the
 approachability and interactive development of a scripting language with
 an efficient and robust infrastructure for multithreaded programming.
 Clojure is a compiled language - it compiles directly to JVM bytecode,
 yet remains completely dynamic. Every feature supported by Clojure is
 supported at runtime. Clojure provides easy access to the Java
 frameworks, with optional type hints and type inference, to ensure that
 calls to Java can avoid reflection.
 .
 Clojure is a dialect of Lisp, and shares with Lisp the code-as-data
 philosophy and a powerful macro system. Clojure is predominantly a
 functional programming language, and features a rich set of immutable,
 persistent data structures. When mutable state is needed, Clojure offers
 a software transactional memory system and reactive Agent system that
 ensure clean, correct, multithreaded designs.

Package: libclojure1.8-java
Architecture: all
Depends:
 libjsr166y-java,
 ${misc:Depends}
Breaks: clojure (<< 1.8), libclojure-java (<< 1.8.0-4)
Replaces: clojure (<< 1.8), libclojure-java (<< 1.8.0-4)
Section: java
Description: Lisp dialect for the JVM (library)
 Clojure is a dynamic programming language that targets the Java Virtual
 Machine. It is designed to be a general-purpose language, combining the
 approachability and interactive development of a scripting language with
 an efficient and robust infrastructure for multithreaded programming.
 Clojure is a compiled language - it compiles directly to JVM bytecode,
 yet remains completely dynamic. Every feature supported by Clojure is
 supported at runtime. Clojure provides easy access to the Java
 frameworks, with optional type hints and type inference, to ensure that
 calls to Java can avoid reflection.
 .
 Clojure is a dialect of Lisp, and shares with Lisp the code-as-data
 philosophy and a powerful macro system. Clojure is predominantly a
 functional programming language, and features a rich set of immutable,
 persistent data structures. When mutable state is needed, Clojure offers
 a software transactional memory system and reactive Agent system that
 ensure clean, correct, multithreaded designs.
 .
 This package contains the library.
