=== debian/rules ===
#!/usr/bin/make -f

SHELL := /bin/bash
SOURCE := $(shell dpkg-parsechangelog | grep ^Source | sed "s/Source: //")
VER := $(shell echo $(SOURCE) | sed s/^clojure//)
JAVA_HOME := /usr/lib/jvm/default-java

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- jar

override_dh_install:
	export JAVA_HOME="$(JAVA_HOME)"; \
	export PATH="$(JAVA_HOME)/bin:$${PATH}"; \
	java -cp clojure.jar clojure.main debian/gencompletions.clj \
	  > debian/$(SOURCE)/etc/rlwrap/clojure$(VER)

	dh_install

	sed -i 's/@VER@/$(VER)/g' debian/$(SOURCE)/usr/bin/*
	file-rename 's/$$/$(VER)/' debian/$(SOURCE)/usr/bin/*
	mh_installpom -plib$(SOURCE)-java --no-parent pom.xml
	mh_installjar -plib$(SOURCE)-java -l pom.xml clojure.jar /usr/share/java/clojure-$(VER).jar

override_dh_installman:
	dh_installman
	file-rename 's/\.(.)$$/$(VER).$$1/' debian/$(SOURCE)/usr/share/man/*/*

override_dh_installchangelogs:
	dh_installchangelogs changes.md

get-orig-source:
	uscan --download-current-version --force-download --repack --rename --compression xz
