=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, dversionmangle=s/\+dfsg//" \
https://github.com/clojure/clojure refs/tags/clojure-(1\.8\.[\d\.]+)
